HYPER-V(4)

NAME
hv_utils - Hyper-V Utilities Driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in the system kernel configuration file:

device hyperv

DESCRIPTION
The hv_utils driver provides time keeping, shutdown and heartbeat functionality for FreeBSD guest partitions running on Hyper-V. Hyper-V is a hypervisor-based virtualization technology from Microsoft. The hv_utils driver is one of the core drivers required to be present in guest partitions running on Hyper-V. This driver provides the following functionalities to guest partitions:

(a) Time Keeping: The clock inside the guest partition will remain accurate by synchronizing to the clock on the virtualization server via Timesync service, and with the help of the pluggable time source device.

(b) Integrated shutdown: Guest partitions running FreeBSD can be shut down from Hyper-V Manager console by using the "Shut down" command.

(c) Heartbeat: This feature allows the virtualization server to detect whether the guest partition is running and responsive.

SEE ALSO
hv_ata_pci_disengage(4), hv_netvsc(4), hv_storvsc(4), hv_vmbus(4)

HISTORY
Support for hv_utils first appeared in FreeBSD 10.0. The driver was developed through a joint effort between Citrix Incorporated, Microsoft Corporation, and Network Appliance Incorporated.

AUTHORS
-nosplit FreeBSD support for hv_utils was first added by Microsoft BSD Integration Services Team <bsdic@microsoft.com>.